# class Chef::Knife::RoleFromFile

### Public Instance Methods

loader() click to toggle source

    # File lib/chef/knife/role_from_file.rb, line 33
    def loader
      @loader ||= Knife::Core::ObjectLoader.new(Chef::Role, ui)
    end

run() click to toggle source

    # File lib/chef/knife/role_from_file.rb, line 37
    def run
      @name_args.each do |arg|
        updated = loader.load_from("roles", arg)

        updated.save

        output(format_for_display(updated)) if config[:print_after]

        ui.info("Updated Role #{updated.name}!")
      end
    end